Public APIGroups
Update a group
PATCH
bearerAuthheader
AuthorizationBearer <token>API key in the Authorization: Bearer <key> header.
Keys are created in the Hallolara dashboard (Settings → API Keys).
group_id*stringMatch
^[a-f0-9]{24}$application/json- body
Properties
1 <= propertiesname?stringTrimmed of leading/trailing whitespace before storage.
Length
1 <= length <= 200description?stringLength
length <= 500Updated group.
application/json- response
data?curl -X PATCH 'https://api.hallolara.ai/api/v1/groups/65f8fa6f1a9d8e0012ab34cd' \ -H 'Content-Type: application/json' \ -d '{ "name": "Enterprise Customers"}'Example Response
{ "data": { "id": "string", "type": "contacts", "name": "string", "description": "string", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" }}